org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker

## Class InvalidContext<T extends PageLockDump>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.InvalidContext<T>

    public class InvalidContext<T extends PageLockDump>
    extends Object

Failure context if any invariant is not satisfied.

### Field Summary

Fields
`T` `dump`
`String` `msg`

### Constructor Summary

Constructors
Constructor and Description
`InvalidContext(String msg, T dump)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### msg

    public final String msg

#### dump

    public final T extends PageLockDump dump

### Constructor Detail

#### InvalidContext

    public InvalidContext(String msg,
                          T dump)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020